// The TIMPI Message-Passing Parallelism Library.
// Copyright (C) 2002-2019 Benjamin S. Kirk, John W. Peterson, Roy H. Stogner

// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef TIMPI_VERSION_H
#define TIMPI_VERSION_H

#define TIMPI_MAJOR_VERSION  1
#define TIMPI_MINOR_VERSION  7
#define TIMPI_MICRO_VERSION  2

#define TIMPI_BUILD_USER     ""
#define TIMPI_BUILD_ARCH     "amd64-portbld-freebsd14.1"
#define TIMPI_BUILD_HOST     "14amd64-monthly-desktop-job-17"
#define TIMPI_BUILD_DATE     "@BUILD_DATE@"
#define TIMPI_BUILD_VERSION  "external"

#define TIMPI_LIB_VERSION    "1.7.2"
#define TIMPI_LIB_RELEASE    "External Release"

#define TIMPI_CXX            "c++"
#define TIMPI_CXXFLAGS       "-O2 -pipe -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -I/wrkdirs/usr/ports/math/libmesh/work/libmesh-1.7.0/contrib/parmetis/include -isystem /usr/local/include "

#include <iostream>
#include <iomanip>

namespace TIMPI
{
  void timpi_version_stdout();
  int  get_timpi_version();
} // end namespace TIMPI

#endif // TIMPI_VERISON_H
